QGIS Application - Bug report #19689
Geometryless table are associated a epsg:4326 crs parameter and spatial properties
2018-08-24 07:25 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27514
Description

Create a table (no geometry) using the New Temporary scratch Layer dialog

Check the layer properties (information tab): it has a crs property filled which is epsg:4326

Also in the Source tab, you'll notice that the "Coordinate Reference System" group is enabled and that you can change the crs of the layer
and some extents and spatial index. These ones should be disabled

This occurs also when you add a non geometric layer using the delimiter text (and | suppose with the open vector dialog)

Associated revisions

Revision 1b560559 - 2018-08-27 03:35 AM - Nyall Dawson

Non spatial layers do not have a CRS - API changes only, needs Ul change

Refs #19689

Revision 5ba52e36 - 2018-08-27 03:35 AM - Nyall Dawson

Hide CRS group box in vector properties for non-spatial layers

Fixes #19689

History

#1 - 2018-08-24 07:41 PM - Harrissou Santanna

- Regression? set to No

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to 3.3(master)

- Tracker changed from Feature request to Bug report

#2 - 2018-08-27 03:35 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|5ba52e36e7c13c1a45720b4d9a92e2¢302e016d6.

#3 - 2018-08-29 11:38 AM - Giovanni Manghi
- Resolution set to fixed/implemented
